List Sources
List sources on the specified project. To learn more about sources, read Content and sources.
Listing, Sorting and Filtering Sources
This endpoint returns the list of sources in the specified project.
Sorting
The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas
where each one can optionally specify asc or desc.
Sorting is valid on the following fields: created, createdBy, displayName, id, labels, name, status/state, updated, updatedBy
Filtering
There are two ways to filter the set of returned sources from this endpoint - the first is to use the $filter query parameter, the second is to use the
$label_key and $label query parameters.
The $filter query parameter allows for sources to be filtered on the basis of fields in the schema using OData query syntax.
See this document for more details on the syntax used.
Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, displayName, id, labels, name, spec/contentName, spec/transport/type, status/state, updated, updatedBy, updatedByEmail, updatedByName
$label_key and $label are specific to querying sources based on their labels. Labels are a set of key-value pairs that can be used to identify sources with
any arbitrary metadata you want, specifically for the purpose of retrieving relevant subsets of sources.
Examples:
?$top=10 - Returns only the first 10 sources from the list.
?$orderby=name desc - Sorts sources by name in descending order.
?$filter=name eq 'descriptive name' - Returns sources that match the provided name.
?$orderby=created desc - Sorts sources by creation date in descending order.
?$filter=created ge 2021-01-01T00:00:00Z - Returns sources created after January 1, 2021.
?$label=studio=paravalley - Returns sources with the label studio set to paravalley.
?$label=release-date~2023 - Returns sources with the label release-date set to a value that contains 2023.
?$label_key=studio&label_key=release-date - Returns sources with any value set for the studio label and the release-date label.
RBAC Capability Required: flow.source.get
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Query parameters
n that limits the number of items returned from a collection.
The service returns the number of available items up to but not greater than the specified value n.@odata.nextLink in the result object to enumerate the collection -
it will be present only if there's more than one page of entities.Response
200List of sources
Loading schema details…
Errors
400Bad Request
Loading schema details…
401Unauthorized
Loading schema details…
403Forbidden
Loading schema details…
404Not Found
Loading schema details…
429Too Many Requests
Loading schema details…
500Internal Server Error
Loading schema details…